Bug 430655 - (CVE-2006-2937) CVE-2006-2937 openssl ASN.1 DoS
CVE-2006-2937 openssl ASN.1 DoS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
reported=20060703,source=openssl,impa...
: Security
Depends On: 207276 430783 440513 445325 449461
Blocks: 444136
  Show dependency treegraph
 
Reported: 2008-01-29 05:22 EST by Mark J. Cox (Product Security)
Modified: 2010-12-22 11:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 11:23:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2008-01-29 05:22:26 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2006-2937 to the following vulnerability:

OpenSSL 0.9.7 before 0.9.7l and 0.9.8 before 0.9.8d allows remote attackers to cause a denial of service (infinite loop and memory consumption) via malformed ASN.1 structures that trigger an improperly handled error condition.

References:

http://www.securityfocus.com/archive/1/archive/1/456546/100/200/threaded
http://www.securityfocus.com/archive/1/archive/1/447318/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/447393/100/0/threaded
http://lists.grok.org.uk/pipermail/full-disclosure/2006-September/049715.html
http://marc.theaimsgroup.com/?l=bind-announce&m=116253119512445&w=2
http://www.openssl.org/news/secadv_20060928.txt
http://kolab.org/security/kolab-vendor-notice-11.txt
http://openvpn.net/changelog.html
http://www.serv-u.com/releasenotes/
http://support.avaya.com/elmodocs2/security/ASA-2006-220.htm
http://www.arkoon.fr/upload/alertes/37AK-2006-06-FR-1.1_FAST360_OPENSSL_ASN1.pdf
http://www.arkoon.fr/upload/alertes/41AK-2006-08-FR-1.1_SSL360_OPENSSL_ASN1.pdf
http://sourceforge.net/project/shownotes.php?release_id=461863&group_id=69227
http://docs.info.apple.com/article.html?artnum=304829
http://www.f-secure.com/security/fsc-2006-6.shtml
http://support.avaya.com/elmodocs2/security/ASA-2006-260.htm
http://www.vmware.com/support/esx2/doc/esx-202-200612-patch.html
http://www.vmware.com/support/esx21/doc/esx-213-200612-patch.html
http://www.vmware.com/support/esx25/doc/esx-253-200612-patch.html
http://www.vmware.com/support/esx25/doc/esx-254-200612-patch.html
http://www.vmware.com/support/vi3/doc/esx-3069097-patch.html
http://www.vmware.com/support/vi3/doc/esx-9986131-patch.html
http://issues.rpath.com/browse/RPL-613
http://www.xerox.com/downloads/usa/en/c/cert_ESSNetwork_XRX07001_v1.pdf
http://lists.apple.com/archives/security-announce/2006/Nov/msg00001.html
http://www.cisco.com/warp/public/707/cisco-sr-20061108-openssl.shtml
http://www.cisco.com/en/US/products/hw/contnetw/ps4162/tsd_products_security_response09186a008077af1b.html
http://www.debian.org/security/2006/dsa-1185
http://security.freebsd.org/advisories/FreeBSD-SA-06:23.openssl.asc
http://security.gentoo.org/glsa/glsa-200610-11.xml
http://www.gentoo.org/security/en/glsa/glsa-200612-11.xml
http://itrc.hp.com/service/cki/docDisplay.do?docId=c00805100
http://itrc.hp.com/service/cki/docDisplay.do?docId=c00805100
http://itrc.hp.com/service/cki/docDisplay.do?docId=c00849540
http://itrc.hp.com/service/cki/docDisplay.do?docId=c00849540
https://www2.itrc.hp.com/service/cki/docDisplay.do?docId=c00967144
https://www2.itrc.hp.com/service/cki/docDisplay.do?docId=c00967144
https://www2.itrc.hp.com/service/cki/docDisplay.do?docId=c00967144
http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c01118771
http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c01118771
http://www.mandriva.com/security/advisories?name=MDKSA-2006:172
http://www.mandriva.com/security/advisories?name=MDKSA-2006:177
http://www.mandriva.com/security/advisories?name=MDKSA-2006:178
http://openbsd.org/errata.html#openssl2
http://www.openpkg.org/security/advisories/OpenPKG-SA-2006.021-openssl.html
http://www.redhat.com/support/errata/RHSA-2006-0695.html
ftp://patches.sgi.com/support/free/security/advisories/20061001-01-P.asc
http://slackware.com/security/viewer.php?l=slackware-security&y=2006&m=slackware-security.676946
http://sunsolve.sun.com/search/document.do?assetkey=1-26-102668-1
http://sunsolve.sun.com/search/document.do?assetkey=1-26-102747-1
http://www.novell.com/linux/security/advisories/2006_58_openssl.html
http://www.novell.com/linux/security/advisories/2006_24_sr.html
http://www.trustix.org/errata/2006/0054
http://www.ubuntu.com/usn/usn-353-1
http://www.us-cert.gov/cas/techalerts/TA06-333A.html
http://www.kb.cert.org/vuls/id/247744
http://www.securityfocus.com/bid/20248
http://www.frsirt.com/english/advisories/2006/3820
http://www.frsirt.com/english/advisories/2006/3860
http://www.frsirt.com/english/advisories/2006/3902
http://www.frsirt.com/english/advisories/2006/3869
http://www.frsirt.com/english/advisories/2006/3936
http://www.frsirt.com/english/advisories/2006/4019
http://www.frsirt.com/english/advisories/2006/4036
http://www.frsirt.com/english/advisories/2006/4264
http://www.frsirt.com/english/advisories/2006/4327
http://www.frsirt.com/english/advisories/2006/4329
http://www.frsirt.com/english/advisories/2006/4417
http://www.frsirt.com/english/advisories/2006/4401
http://www.frsirt.com/english/advisories/2006/4750
http://www.frsirt.com/english/advisories/2006/4761
http://www.frsirt.com/english/advisories/2006/4980
http://www.frsirt.com/english/advisories/2007/0343
http://www.frsirt.com/english/advisories/2007/1401
http://www.frsirt.com/english/advisories/2007/2315
http://www.frsirt.com/english/advisories/2007/2783
http://www.osvdb.org/29260
http://securitytracker.com/id?1016943
http://secunia.com/advisories/22130
http://secunia.com/advisories/22094
http://secunia.com/advisories/22165
http://secunia.com/advisories/22186
http://secunia.com/advisories/22193
http://secunia.com/advisories/22207
http://secunia.com/advisories/22259
http://secunia.com/advisories/22260
http://secunia.com/advisories/22166
http://secunia.com/advisories/22172
http://secunia.com/advisories/22212
http://secunia.com/advisories/22240
http://secunia.com/advisories/22216
http://secunia.com/advisories/22116
http://secunia.com/advisories/22220
http://secunia.com/advisories/22284
http://secunia.com/advisories/22330
http://secunia.com/advisories/22385
http://secunia.com/advisories/22460
http://secunia.com/advisories/22544
http://secunia.com/advisories/22626
http://secunia.com/advisories/22487
http://secunia.com/advisories/22671
http://secunia.com/advisories/22758
http://secunia.com/advisories/22799
http://secunia.com/advisories/22772
http://secunia.com/advisories/23038
http://secunia.com/advisories/23155
http://secunia.com/advisories/23131
http://secunia.com/advisories/22298
http://secunia.com/advisories/23309
http://secunia.com/advisories/23280
http://secunia.com/advisories/23340
http://secunia.com/advisories/23351
http://secunia.com/advisories/23680
http://secunia.com/advisories/23915
http://secunia.com/advisories/24950
http://secunia.com/advisories/24930
http://secunia.com/advisories/25889
http://secunia.com/advisories/26329
http://xforce.iss.net/xforce/xfdb/29228
Comment 3 Vincent Danen 2010-12-21 23:19:27 EST
This was addressed via:

Red Hat Enterprise Linux version 2.1 (RHSA-2006:0695)
Red Hat Enterprise Linux version 3	(RHSA-2006:0695)
Red Hat Enterprise Linux version 4	(RHSA-2006:0695)
Red Hat Network Satellite Server 5.0 (RHEL v.4 AS) (RHSA-2008:0264)
Red Hat Network Satellite Server v 4.2 (RHEL v.3 AS) (RHSA-2008:0525)
Red Hat Network Satellite Server v 4.2 (RHEL v.4 AS) (RHSA-2008:052)
Red Hat Network Satellite Server 5.1 (RHEL v.4 AS) (RHSA-2008:0629)

Note You need to log in before you can comment on or make changes to this bug.